package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF647 extends MwfRequest<MWF647, MWF647Response> {

    @Parameter(name = "CLIENT_TYPE")
    MWF647 clientType(String clientType);
    @Parameter(name = "CONTRACT_ID")
    MWF647 contractId(String contractId);
    @Parameter(name = "CONTRACT_SYSTEM")
    MWF647 contractSystem(String contractSystem);
    @Parameter(name = "DISTR_CHANNEL_ID")
    MWF647 distrChannelId(String distrChannelId);
    @Parameter(name = "ICO")
    MWF647 ico(String ico);
    @Parameter(name = "INFOLIMIT_FROM_CACHE")
    MWF647 infolimitFromCache(Long infolimitFromCache);
    @Parameter(name = "NAME")
    MWF647 name(String name);
    @Parameter(name = "ONLINE_CHECK")
    MWF647 onlineCheck(Long onlineCheck);
    @Parameter(name = "POS_ID")
    MWF647 posId(String posId);
    @Parameter(name = "RC")
    MWF647 rc(String rc);
    @Parameter(name = "SURNAME")
    MWF647 surname(String surname);
}
